module WoWHeadHelper
  include JsonHelper
  
  def browse_spells(spell_cat)
    response = Net::HTTP.get(URI.parse("http://www.wowhead.com/?spells=#{spell_cat}"))
    unless response
      raise "Data not available for #{spell_cat}"
    end
    data_block = response.scan(/new Listview\((.*?)\);/).first;
    if data_block.nil?
      raise "No search results found"
    end
    data_block = data_block.first
    data_block.gsub!(/sprintf\(LANG.*?,.*?\)/,"''")
    return from_json(data_block)
  end
  def search_objects(search_id)
    response = Net::HTTP.get(URI.parse("http://www.wowhead.com/?objects=#{search_id}"))
    unless response
      raise "Data not available for #{search_id}"
    end
    lst = response.scan(/Listview.(.*).;/).first
    if lst.nil?
      raise "No search results found"
    end
    data = lst.first
    data.gsub!('"category"','category')
    data.gsub!('"id"','id')
    data.gsub!('"instance"','instance')
    data.gsub!('"name"','name')
    data.gsub!('"minlevel"','minlevel')
    data.gsub!('"maxlevel"','maxlevel')
    data.gsub!('"nplayers"','nplayers')
    data.gsub!('"reqlevel"','reqlevel')
    data.gsub!('"territory"','territory')
    data.gsub!('"expansion"','expansion')
    data.gsub!('"playerlimit"','playerlimit')
    data.gsub!('"location"','location')
    data.gsub!('"skill"','skill')
    data.gsub!('"type"','type')
    return from_json(data)[:data]
  end  
end